Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.search.lucene
Class LuceneI18n

    java.lang.Object
      org.modeshape.search.lucene.LuceneI18n

    public class LuceneI18n

extends Object

Field Summary
`static I18n` | `errorWhileCommittingIndexChanges`
`static I18n` | `errorWhileRollingBackIndexChanges`
`static I18n` | `locationForIndexesCannotBeRead`
`static I18n` | `locationForIndexesCannotBeWritten`
`static I18n` | `locationForIndexesIsNotDirectory`
`static I18n` | `missingVariableValue`

Constructor Summary
`LuceneI18n()`

Method Summary
`static Set<Locale>` | `getLocalizationProblemLocales()`
`static Set<String>` | `getLocalizationProblems()`
`static Set<String>` | `getLocalizationProblems(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### locationForIndexesIsNotDirectory

    public static I18n locationForIndexesIsNotDirectory

### locationForIndexesCannotBeRead

    public static I18n locationForIndexesCannotBeRead

### locationForIndexesCannotBeWritten

    public static I18n locationForIndexesCannotBeWritten

### errorWhileCommittingIndexChanges

    public static I18n errorWhileCommittingIndexChanges

### errorWhileRollingBackIndexChanges

    public static I18n errorWhileRollingBackIndexChanges

### missingVariableValue

    public static I18n missingVariableValue

Constructor Detail

### LuceneI18n

    public LuceneI18n()

Method Detail

### getLocalizationProblemLocales

    public static Set<Locale> getLocalizationProblemLocales()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems()

### getLocalizationProblems

    public static Set<String> getLocalizationProblems(Locale locale)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.